> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest data to edge deployment

<Warning>
  Use this endpoint to ingest data into a specific edge deployment. For more information, see [Ingest data](/restapi/ingest) and [Edge deployments](/reference/edge-deployments).

  The base domain for this endpoint is the base domain of the edge deployment where you want to ingest data.

  | Edge deployment      | Base domain for ingest and query |
  | :------------------- | :------------------------------- |
  | `US East 1 (AWS)`    | `us-east-1.aws.edge.axiom.co`    |
  | `EU Central 1 (AWS)` | `eu-central-1.aws.edge.axiom.co` |

  This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see [Tokens](/reference/tokens).
</Warning>


## OpenAPI

````yaml v1-edge-ingest post /ingest/{dataset-id}
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://{axiom-domain}/v1/
security: []
paths:
  /ingest/{dataset-id}:
    post:
      tags:
        - ingest
      operationId: ingestToDataset
      parameters:
        - name: dataset-id
          in: path
          required: true
          schema:
            type: string
        - description: >-
            The name of the field to use as the timestamp. If not specified, the
            timestamp will be the time the event was received by Axiom.
          name: timestamp-field
          in: query
          schema:
            type: string
        - description: >-
            The date-time format of the timestamp field. The reference time is
            `Mon Jan 2 15:04:05 -0700 MST 2006`, as specified in
            https://pkg.go.dev/time/?tab=doc#Parse
          name: timestamp-format
          in: query
          schema:
            type: string
        - description: >-
            The delimiter to use when parsing CSV data. If not specified, the
            default delimiter is `,`.
          name: csv-delimiter
          in: query
          schema:
            type: string
        - description: >-
            A list of optional comma separated fields to use for CSV ingestion.
            If not specified, the first line of the CSV will be used as the
            field names.
          name: X-Axiom-CSV-Fields
          in: header
          style: simple
          schema:
            type: array
            items:
              type: string
        - description: >-
            An optional JSON encoded object with additional labels to add to all
            events in the request
          name: X-Axiom-Event-Labels
          in: header
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              description: >-
                Data you want to send to Axiom.

                Supported formats: JSON, NDJSON, CSV.

                Upload the data in a file or send it in the payload of the
                request.
              type: string
              format: binary
          application/nd-json:
            schema:
              description: >-
                Data you want to send to Axiom.

                Supported formats: JSON, NDJSON, CSV.

                Upload the data in a file or send it in the payload of the
                request.
              type: string
              format: binary
          text/csv:
            schema:
              description: >-
                Data you want to send to Axiom.

                Supported formats: JSON, NDJSON, CSV.

                Upload the data in a file or send it in the payload of the
                request.
              type: string
              format: binary
          application/x-ndjson:
            schema:
              description: >-
                Data you want to send to Axiom.

                Supported formats: JSON, NDJSON, CSV.

                Upload the data in a file or send it in the payload of the
                request.
              type: string
              format: binary
        required: true
      responses:
        '200':
          description: IngestResult
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IngestStatus'
      security:
        - Auth:
            - ingest|create
components:
  schemas:
    IngestStatus:
      type: object
      required:
        - ingested
        - failed
        - processedBytes
        - blocksCreated
        - walLength
      properties:
        blocksCreated:
          type: integer
          format: uint32
        failed:
          type: integer
          format: uint64
        failures:
          type: array
          items:
            $ref: '#/components/schemas/IngestFailure'
        ingested:
          type: integer
          format: uint64
        processedBytes:
          type: integer
          format: uint64
        walLength:
          type: integer
          format: uint32
    IngestFailure:
      type: object
      required:
        - error
        - timestamp
      properties:
        error:
          type: string
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````